name: Materio Migration
type: module
description: Defines custom migration for materio (from d7 to d8).
core: 8.x
package: Materio
dependencies:
  # - config_devel
  - drupal:migrate
  - drupal:migrate_drupal
  - drupal:migrate_drupal_multilingual
  - migrate_plus:migrate_plus
  - migrate_tools:migrate_tools
  # - drupal:field_group_migrate
  - telephone_validation
  
# https://www.liip.ch/en/blog/using-the-new-drupal-8-migration-api-module
config_devel:
 install:
  - migrate_plus.migration.d7_users
  - migrate_plus.migration.d7_allpublicfiles
  - migrate_plus.migration.d7_taxonomy_term_company
  - migrate_plus.migration.d7_uc_roles_license
  - migrate_plus.migration.d7_simplenews_subscribers
  - migrate_plus.migration.d7_node_article
  - migrate_plus.migration.d7_simplenews_nodes
  - migrate_plus.migration.d7_node_materiau
  - migrate_plus.migration.d7_node_materiau_i18n
  - migrate_plus.migration.d7_node_article_i18n
  - migrate_plus.migration.d7_user_profile
  - migrate_plus.migration_group.d7_materio
  - migrate_plus.migration.d7_taxonomy_term_showroom
  - migrate_plus.migration.d7_taxonomy_term_tags_i18n
  - migrate_plus.migration.d7_taxonomy_term_tags
  - migrate_plus.migration.d7_taxonomy_term_thesaurus_i18n
  - migrate_plus.migration.d7_taxonomy_term_thesaurus
